# TdApi.PassportAuthorizationForm (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: PassportAuthorizationForm

Package it.tdlight.jni

# Class TdApi.PassportAuthorizationForm

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PassportAuthorizationForm

Enclosing class:
  TdApi

    public static class TdApi.PassportAuthorizationForm
    extends TdApi.Object

Contains information about a Telegram Passport authorization form that was requested.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`int` | `id` | Unique identifier of the authorization form.
`String` | `privacyPolicyUrl` | URL for the privacy policy of the service; may be empty.
`TdApi.PassportRequiredElement[]` | `requiredElements` | Information about the Telegram Passport elements that must be provided to complete the form.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`PassportAuthorizationForm()` | Contains information about a Telegram Passport authorization form that was requested.
`PassportAuthorizationForm​(int id, TdApi.PassportRequiredElement[] requiredElements, String privacyPolicyUrl)` | Contains information about a Telegram Passport authorization form that was requested.
`PassportAuthorizationForm​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public int id
Unique identifier of the authorization form.

### requiredElements

public TdApi.PassportRequiredElement[] requiredElements
Information about the Telegram Passport elements that must be provided to complete the form.

### privacyPolicyUrl

public String privacyPolicyUrl
URL for the privacy policy of the service; may be empty.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### PassportAuthorizationForm

public PassportAuthorizationForm()
Contains information about a Telegram Passport authorization form that was requested.

### PassportAuthorizationForm

public PassportAuthorizationForm​(int id, TdApi.PassportRequiredElement[] requiredElements, String privacyPolicyUrl)
Contains information about a Telegram Passport authorization form that was requested.

Parameters:
  `id` - int Unique identifier of the authorization form.
  `requiredElements` - PassportRequiredElement[] Information about the Telegram Passport elements that must be provided to complete the form.
  `privacyPolicyUrl` - String URL for the privacy policy of the service; may be empty.

### PassportAuthorizationForm

public PassportAuthorizationForm​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`